Bug 8414 - ypbind does not rebind after ypserv fails
ypbind does not rebind after ypserv fails
Product: Red Hat Linux
Classification: Retired
Component: ypbind (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
Depends On:
  Show dependency treegraph
Reported: 2000-01-12 15:25 EST by dbelliz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-01-24 18:26:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description dbelliz 2000-01-12 15:25:33 EST
On a network with a NIS master and several slave servers. If a linux
client is bound to a NIS server and "ypserv" dies on that server, the
linux client does not disconnect and try to find another NIS server.
Eventhough there are several servers listed in our /etc/yp.conf.
Eventually, one would have to restart "ypbind" : "/etc/rc.d/init.d/ypbind
restart" to get things back to normal.

If this happens on Solaris, the client rebinds to another server specified
in the ypservers.
Comment 1 Cristian Gafton 2000-01-24 18:26:59 EST
to achieve this behavior one needs to have a line like
domain NISDOMAIN broadcast
in the /etc/yp.conf. The timeout values are a bit high, at 30 seconds.

In the next release ypbind will do this type of broadcasting by default (unless
turned off by the site admin) and the ping/timeout time will be reduced from 30
sec to 10 sec.

Fixed in the current devel tree (and will show up on rawhide at the end of this
Comment 2 tek 2000-07-17 13:22:26 EDT
This is definitely NOT what I would want it to do though!  I don't want it to 
broadcast, I want it to go the next server I specified.  As it stands now, it 
does the broadcast then lands on any old YP server it can find instead of the 
ones I specified in yp.conf.


Note You need to log in before you can comment on or make changes to this bug.